org.encog.app.analyst.csv.normalize

## Class AnalystNormalizeToEGB

- java.lang.Object
- - org.encog.app.analyst.csv.basic.BasicFile
  - - org.encog.app.analyst.csv.normalize.AnalystNormalizeToEGB

- All Implemented Interfaces:
    QuantTask

      public class AnalystNormalizeToEGB
      extends BasicFile

  Normalize, or denormalize, a CSV file.

- - ### Field Summary

    - ### Fields inherited from class org.encog.app.analyst.csv.basic.BasicFile

      `REPORT_INTERVAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalystNormalizeToEGB()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `analyze(File inputFilename, boolean expectInputHeaders, CSVFormat inputFormat, EncogAnalyst theAnalyst)` Analyze the file.
    `void` | `normalize(File file)` Normalize the input file.
    `void` | `setSourceFile(File file, boolean headers, CSVFormat format)` Set the source file.

    - ### Methods inherited from class org.encog.app.analyst.csv.basic.BasicFile

      `appendSeparator, getColumnCount, getFormat, getInputFilename, getInputHeadings, getPrecision, getRecordCount, getReport, getReportInterval, getScript, isAnalyzed, isExpectInputHeaders, isProduceOutputHeaders, performBasicCounts, prepareOutputFile, readHeaders, reportDone, reportDone, requestStop, resetStatus, setAnalyzed, setColumnCount, setExpectInputHeaders, setInputFilename, setInputFormat, setInputHeadings, setPrecision, setProduceOutputHeaders, setRecordCount, setReport, setReportInterval, setScript, shouldStop, toString, updateStatus, updateStatus, validateAnalyzed, writeRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalystNormalizeToEGB

          public AnalystNormalizeToEGB()

  - ### Method Detail

    - #### analyze

          public void analyze(File inputFilename,
                     boolean expectInputHeaders,
                     CSVFormat inputFormat,
                     EncogAnalyst theAnalyst)

      Analyze the file.
      Parameters:
        `inputFilename` - The input file.
        `expectInputHeaders` - True, if input headers are present.
        `inputFormat` - The format.
        `theAnalyst` - The analyst to use.

    - #### normalize

          public void normalize(File file)

      Normalize the input file. Write to the specified file.
      Parameters:
        `file` - The file to write to.

    - #### setSourceFile

          public void setSourceFile(File file,
                           boolean headers,
                           CSVFormat format)

      Set the source file. This is useful if you want to use pre-existing stats to normalize something and skip the analyze step.
      Parameters:
        `file` - The file to use.
        `headers` - True, if headers are to be expected.
        `format` - The format of the CSV file.

Copyright © 2014. All Rights Reserved.